MV(1)

NAZWA
mv - przenosi (przemianowuje) pliki

SKŁADNIA
mv [OPCJA]... [-T] ŹRÓDŁO CEL
mv [OPCJA]... ŹRÓDŁO... KATALOG
mv [OPCJA]... -t KATALOG ŹRÓDŁO...

OPIS

Zmienia nazwę ŹRÓDŁA na CEL lub przenosi ŹRÓDŁO/ŹRÓDŁA do KATALOGU.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

--backup[=METODA]
    tworzy kopię zapasową każdego istniejącego pliku docelowego

-b  jak --backup, lecz nie przyjmuje argumentu

-f, --force
    nie pyta przed nadpisywaniem

-i, --interactive
    pyta przed nadpisywaniem

-n, --no-clobber
    nie nadpisuje istniejącego pliku

Jeśli zostanie podana więcej niż jedna opcja z -i, -f lub -n, jedynie ostatnia jest brana pod uwagę.

--strip-trailing-slashes
    usuwa końcowe ukośniki z każdego argumentu ŹRÓDŁO

-S, --suffix=PRZYROSTEK
    używa podanego przyrostka zamiast domyślnego

-t, --target-directory=KATALOG
    przenosi wszystkie argumenty ŹRÓDŁO do KATALOGU

-T, --no-target-directory
    traktuje CEL jako zwykły plik

-u, --update
    przenosi tylko jeśli plik ŹRÓDŁOWY jest nowszy niż plik docelowy lub gdy plik docelowy nie istnieje

-v, --verbose
    wypisuje bieżące działania

-Z, --context
    ustawia kontekst bezpieczeństwa SELinux pliku docelowego na domyślny

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Przyrostkiem kopii zapasowej jest ~, chyba że ustawiono inny opcją --suffix lub SIMPLE_BACKUP_SUFFIX. Metoda kontroli wersji może zostać wybrana opcją --backup lub zmienną środowiskową VERSION_CONTROL. Dostępne opcje:

none, off
    nigdy nie tworzy kopii zapasowych (nawet jeśli podano opcję --backup)

numbered, t
    tworzy kopie numerowane

existing, nil
    numerowane jeśli istniejące kopie są numerowane, w przeciwnym wypadku proste

simple, never
    zawsze tworzy proste kopie zapasowe

AUTOR
Napisane przez Mike'a Parkera, Davida MacKenzie i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu mv proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
rename(2)

Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/mv>
lub lokalnie, za pomocą info '(coreutils) mv invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.